Method: projects.locations.dependencies.patch

Update a dependency based on the updateMask provided in the request.

The following fields in the dependency can be updated: * description

HTTP request

PATCH https://apihub.googleapis.com/v1/{dependency.name=projects/*/locations/*/dependencies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
dependency.name

string

Identifier. The name of the dependency in the API Hub.

Format: projects/{project}/locations/{location}/dependencies/{dependency}

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of Dependency.

Response body

If successful, the response body contains an instance of Dependency.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/apihub.readwrite
  • https://www.googleapis.com/auth/cloud-platform

IAM Permissions

Requires the following IAM permission on the name resource:

  • apihub.dependencies.update

For more information, see the IAM documentation.